using System;
using System.Windows;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace ShareLinkTaskSample
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Instanzierung des ShareLinkTask
        private ShareLinkTask myShareLinkTask = new ShareLinkTask();

        // Konstruktor
        public MainPage()
        {
            InitializeComponent();
        }

        // Ereignismethode der Schatlflaeche
        private void btn_ShareLinkTask_Click(object sender, RoutedEventArgs e)
        {
            // Daten fuer Link, Nachricht und Titel aus Oberflaeche im Task uebernehmen
            myShareLinkTask.LinkUri = new Uri(tbx_Link.Text);
            myShareLinkTask.Message = tbx_Message.Text;
            myShareLinkTask.Title = tbx_Title.Text;            

            // Dialog zum Task aufblenden
            myShareLinkTask.Show();
        }
    }
}